### File

`packages/eui/packages/components-next/src/lib/components/eui-chip-list/eui-chip-list.component.ts`

### Extends

`BaseDirective`

### Implements

`OnInit` `AfterViewInit` `OnDestroy` `OnChanges`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-chip-list, div[euiChipList], ul[euiChipList]`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-chip-list.component.html`

### Index

###### Properties

- _chipsLabelTruncateCount
- _isChipsDragAndDrop
- _isChipsRemovable
- _isChipsSorted
- _isMaxVisibleChipsOpened
- _maxVisibleChipsCount
- chipList
- chipListDragAndDropItems
- chipListDropList
- Public connectComponent
- Public droppableArea
- Public e2eAttr
- euiChipItems
- euiChipsContent

###### Methods

- Public drop
- Public getChipContent
- Public getChipIconAfter
- Public getChipIconBefore
- Public getChipLabel
- Public onDragReleased
- Public onDragStarted
- onFocus
- Public onRemove
- Public toggleTags
- Public trackByFn

###### Inputs

- ariaLabel
- chips
- chipsLabelTruncateCount
- chipsSortOrder
- dragAndDropConnectedTo
- dragAndDropSourceName
- isChipsDragAndDrop
- isChipsRemovable
- isChipsSorted
- isMaxVisibleChipsOpened
- maxVisibleChipsCount
- toggleLinkLessLabel
- toggleLinkMoreLabel

###### Outputs

- chipDragReleased
- chipDragStarted
- chipDropped
- chiplistFocus
- chipRemove
- chipsInit

###### HostBindings

- class

###### Accessors

- isChipsRemovable
- maxVisibleChipsCount
- chipsLabelTruncateCount
- isMaxVisibleChipsOpened
- isChipsSorted
- isChipsDragAndDrop

### Constructor

`constructor(cd: ChangeDetectorRef, euiChipListDragService: EuiChipListDragService, domSanitizer: DomSanitizer)`

Parameters :

Name | Type | Optional
cd | `ChangeDetectorRef` | No
euiChipListDragService | `EuiChipListDragService` | No
domSanitizer | `DomSanitizer` | No

### Inputs

ariaLabel
Default value : `'eUI Chip List'`

chips
Type : `any[]`

chipsLabelTruncateCount

chipsSortOrder
Default value : `'ASC'`

dragAndDropConnectedTo
Type : `string[]`
Default value : `[]`

dragAndDropSourceName
Type : `string`

isChipsDragAndDrop

isChipsRemovable

isChipsSorted

isMaxVisibleChipsOpened

maxVisibleChipsCount

toggleLinkLessLabel
Type : `string`
Default value : `null`

toggleLinkMoreLabel
Type : `string`
Default value : `null`

### Outputs

chipDragReleased
Type : `EventEmitter`

chipDragStarted
Type : `EventEmitter`

chipDropped
Type : `EventEmitter`

chiplistFocus
Type : `EventEmitter`

chipRemove
Type : `EventEmitter`

chipsInit
Type : `EventEmitter`

### HostBindings

class

### Methods

Public drop
`drop(e: CdkDragDrop<string[]>)`

Parameters :

Name | Type | Optional
e | `CdkDragDrop<string[]>` | No

Returns : `void`

Public getChipContent
`getChipContent(euiChip: any)`

Parameters :

Name | Type | Optional
euiChip | `any` | No

Returns : `any`

Public getChipIconAfter
`getChipIconAfter(euiChip: any)`

Parameters :

Name | Type | Optional
euiChip | `any` | No

Returns : `any`

Public getChipIconBefore
`getChipIconBefore(euiChip: any)`

Parameters :

Name | Type | Optional
euiChip | `any` | No

Returns : `any`

Public getChipLabel
`getChipLabel(euiChip: any)`

Parameters :

Name | Type | Optional
euiChip | `any` | No

Returns : `any`

Public onDragReleased
`onDragReleased(event: CdkDrag)`

Parameters :

Name | Type | Optional
event | `CdkDrag` | No

Returns : `void`

Public onDragStarted
`onDragStarted(event: CdkDrag)`

Parameters :

Name | Type | Optional
event | `CdkDrag` | No

Returns : `void`

onFocus
`onFocus(event)`

Parameters :

Name | Optional
event | No

Returns : `void`

Public onRemove
`onRemove(removed: EuiChip | literal type)`

Parameters :

Name | Type | Optional
removed | `EuiChip | literal type` | No

Returns : `void`

Public toggleTags
`toggleTags()`
Returns : `void`

Public trackByFn
`trackByFn(index: number, euiChip: any)`

Parameters :

Name | Type | Optional
index | `number` | No
euiChip | `any` | No

Returns : `any`

### Properties

_chipsLabelTruncateCount
Type : `null`
Default value : `null`

_isChipsDragAndDrop
Default value : `false`

_isChipsRemovable
Default value : `false`

_isChipsSorted
Default value : `false`

_isMaxVisibleChipsOpened
Default value : `false`

_maxVisibleChipsCount
Type : `null`
Default value : `null`

chipList
Type : `MatChipList`
Decorators : `@ViewChild('chipList', {read: MatChipList, static: true})`

chipListDragAndDropItems
Type : `CdkDropList`
Decorators : `@ViewChild('chipListDragAndDropItems', {read: CdkDropList})`

chipListDropList
Type : `CdkDropList`
Decorators : `@ViewChild('chipListDropList', {read: CdkDropList})`

Public connectComponent
Type : `CdkDropList[]`
Default value : `[]`

Public droppableArea
Type : `CdkDragDrop<any[]>[]`

Public e2eAttr
Type : `string`
Default value : `'eui-chip-list'`

euiChipItems
Type : `QueryList<ElementRef>`
Decorators : `@ViewChildren('euiChipItem', {read: ElementRef})`

euiChipsContent
Type : `QueryList<EuiChipComponent>`
Decorators : `@ContentChildren(undefined)`

### Accessors

isChipsRemovable
set `isChipsRemovable(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

maxVisibleChipsCount
set `maxVisibleChipsCount(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

chipsLabelTruncateCount
set `chipsLabelTruncateCount(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

isMaxVisibleChipsOpened
set `isMaxVisibleChipsOpened(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

isChipsSorted
set `isChipsSorted(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

isChipsDragAndDrop
set `isChipsDragAndDrop(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

# result-matching ""

# No results matching ""